Bug 71453 - Add the "Norman" layout
Summary: Add the "Norman" layout
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-10 12:22 UTC by Tilman Sauerbeck
Modified: 2013-11-17 23:44 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch (2.76 KB, text/plain)
2013-11-10 12:24 UTC, Tilman Sauerbeck
Details
Patch, v2 (2.61 KB, patch)
2013-11-17 10:44 UTC, Tilman Sauerbeck
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tilman Sauerbeck 2013-11-10 12:22:58 UTC
This patch adds a new variant of the US layout called Norman.

The layout's author is David Norman. See http://normanlayout.info for additional information.
Comment 1 Tilman Sauerbeck 2013-11-10 12:24:07 UTC
Created attachment 88977 [details]
Patch
Comment 2 Sergey V. Udaltsov 2013-11-11 08:50:52 UTC
Two things.

First, how many people are using this layout? Just very approximate figure would be good enough.

Second, could you please remove the reference to the CC licence from the code? xkeyboard-config is using standard X11 licence.
Comment 3 Tilman Sauerbeck 2013-11-11 17:45:32 UTC
I'm adding David to the CC list.

David, can you answer Sergey's questions?
Comment 4 David Norman 2013-11-11 18:42:19 UTC
I feel like I'm in a situation here to be overly impartial, so here are some stats since normanlayout.info launched, specifically regarding the Drupal-based website. It doesn't include anything that might be happening from the github side, browsers with Google Analytics blocked by addons, etc.

Google Analytics:

Visits: 6259
Unique visitors: 4501
Pageviews: 15459

Outside that, I haven't been curating any sort of installer that phones home, a mailing list with traffic to measure, or a download counter for installers. I might be able to grep some Apache logs, but downloads are mirrored on github and amazon s3.

My cone of uncertainty is 500-10,000 users of Norman. If it was either extreme, neither would surprise me since I was just happy if 10 people in the world took notice.

As for licensing, do whatever you want.
Comment 5 Sergey V. Udaltsov 2013-11-17 01:13:18 UTC
Thank you for the information, lads

Tilman, could you pls fix your patch a bit:
1. Remove the reference to CC licence
2. Use not base.xml.in but base.extras.xml.in

Thanks
Comment 6 Tilman Sauerbeck 2013-11-17 10:44:24 UTC
Created attachment 89347 [details] [review]
Patch, v2
Comment 7 Sergey V. Udaltsov 2013-11-17 23:44:30 UTC
Good. Thank you, committed!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.